dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local projectile_component = EntityGetFirstComponent( entity_id, "ProjectileComponent" )


damage = ComponentGetValue2(projectile_component, "damage")

damage = damage + 0.0125

--print(tostring(damage))

ComponentSetValue(projectile_component, "damage", tostring(damage))
